Subject: Re: [PATCH V2] powerpc/kernel/sysfs: disable writing to purr in non-powernv

From: Michael Ellerman <[email-masked]>
Date: Tue, 1 Oct 2013 18:43:44 +1000

On Tue, Oct 01, 2013 at 05:50:30PM +1000, Benjamin Herrenschmidt wrote:
> On Tue, 2013-10-01 at 16:31 +1000, Michael Ellerman wrote:
> 
> > > 1)Changed the test for to hypervisor mode instead of platform
> > 
> > I think Ben's wrong about that.
> > 
> > Almost all existing code uses FW_FEATURE_LPAR to differentiate
> > hypervisor vs guest mode, so I think we should do the same here.
> 
> I didn't object to using the FW test, it's a reasonable way to do it, I
> objected to using the platform as an indication (powernv vs. pseries)

Yeah sorry I wasn't clear. You are right that it shouldn't use the
platform. So I think we agree FW_FEATURE is the right way to go.

cheers